'
' JustLDAP test script for creating a user with some common additional attributes.
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName), Universal Principal Name, Full name
'                    First name, Last name, initial password
'
' Returns Variant - typically 0 (Integer) indicating success
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.CreateUserEx("salesuser", "salesuser@mycompany.com", "Sales User", "Sales", "User", "top5secret")
 
  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
  End If
 
  Wscript.Echo Result

Set oLdap = Nothing



