'
' JustLDAPDomain test script for returning the type of group (Security or Distribution).
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - Group name. 
'
' Returns Variant - Integer  1 = Security  2 = Distribution
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAPDomain.DomainAdmin")

  
  Result = oLdap.GetGroupTypeDom("Administrators", "otherdomain.com", "admin42", "secretpw55$")
 
  If oLdap.ErrorOccurred() = True Then ' Error detected - convert to error message.
    Result = oLdap.GetLastErrorAsMessage()
  End If

  Wscript.Echo(Result)


Set oLdap = Nothing



