'
' JustLDAP test script for retrieving an array user property
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName), PropertyToGet
'                    
'
' Returns Variant - typically 0 (Integer) indicating success
'

Option Explicit

Dim oLdap, Result, Item

Set oLdap = CreateObject("JustLDAP.Admin")


  Result = oLdap.GetUserArrayProperty("newuser", "otherTelephone")
 
  If oLdap.ErrorOccurred() = True Then ' Error detected - convert to error message.
    Result = oLdap.GetLastErrorAsMessage()
    Wscript.Echo(Result)
  Else
    For Each Item in Result ' Note, as this is an array, we need to step through the results
      Wscript.Echo(Item)    
    Next
  End If 


Set oLdap = Nothing



