'
' JustLDAP test script to see if a user account is set to expire or not (never expires).
'
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName) i.e. User Login name
'
' Returns Boolean.
' True = User account is set to expire.
' False = User account is set to never expire.
' 
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.IsAccountSetToExpire("bobuser")
  

  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
    Wscript.Echo(Result)

  Else

    if Result = True then
      Wscript.Echo "User account is set to expire."
    else
      Wscript.Echo "User account is set to never expire."
    End If

  End If
 
Set oLdap = Nothing


