'
' JustLDAP test script to test if a user is disabled or not.
'
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName) i.e. User Login name
'
' Returns Boolean;  True = User is disabled or False = User not disabled
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.IsDomainSetToExpirePasswords()

  MsgBox(Result)

  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
    Wscript.Echo(Result)

  Else

    if Result = True then
      Wscript.Echo "Passwords will expire"
    else
      Wscript.Echo "Passwords will not expire"
    End If

  End If
 

Set oLdap = Nothing


