'
' JustLDAP test script to return details using the Lookup method which returns a recordset.
'

Option Explicit

Dim oLdap, UserID, oRS, item


Const adVariant = 12

Set oLdap = CreateObject("JustLDAP.Admin")
UserID = InputBox("Enter a Login ID to search for - e.g. bobuser")
If UserID = "" Then
  Wscript.Echo("No Login ID entered - exiting...")
  Wscript.Quit
End If

Set oRS = oLdap.Lookup("sAMAccountName", UserID, "sn, givenName, mail, employeeID, telephoneNumber, directReports")

If Not IsNull(oRS) Then
  While Not oRS.EOF
    For Each Item In oRS.Fields
      If Not IsNull(Item.Value) Then
          If Item.Type <> adVariant then     ' This code checks for "multivalued" fields such as "directReports"
            Wscript.Echo(Item.Value)           ' Which returns a VARIANT ARRAY. The array can be enumerated
          else                                          ' if required - here we just note that a multivalued attribute
            Wscript.Echo("- multivalued -")    ' exists in the last item we asked for (directReports).
          End If                                        ' See LookupDom for enumeration code using the For / Each construct
      End If
    Next
  oRS.MoveNext
  Wend
End If 
Set oRS = Nothing
Set oLdap = Nothing

