'
' JustLDAP test script to set the account control property "User must change password at next logon"
'
' NOTE: !!!  If set to true, JustLDAP automatically clears the "User cannot change password"
'            and the User password never expires flags.
'
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName) i.e. User Login name
'                  - Selection (True or False)
'
' Returns Variant - Typically 0 - indicating success 
'

Option Explicit

Dim oLdap, Result, Test

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.UserMustChangePasswordAtNextLogon("bobuser", True) ' True sets this property

  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
  End If

  Wscript.Echo(Result)

Set oLdap = Nothing


